package cn.com.countrygarden.bi.main.dto.personnel;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import cn.com.countrygarden.bi.main.dto.sharppathevaluation.PersonnelSharppathevaluationDTO;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;
import cn.com.countrygarden.bi.main.model.writtenExamination.PersonnelSelectionscore;

public class PersonnelAppDTO {
	/**
	 * 
	 */
	private int personnelId;
	/**
	 * 用户名称
	 */
	private String name;
	/**
	 * 用户编号
	 */
	private String userId;

	// 入职时间
	@JsonFormat(pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
	private Date entryTime;
	// 实习时长
	// 毕业时长
	// 毕业院校
	// 专业
	// 学历
	private String education;
	// 学校等级
	// 录取方向
	// 年龄
	private String age;
	// 性别
	private String sex;
	// 联系方式
	private String mobile;
	List<PersonnelTag> tagsList;// 标签
	//校园评测
	private List<CampusevaluationDTO> campusevaluationDTOList;
		// advisorDto1导师-导航师
	private List<PersonnelAdvisorDTO> advisorType1 ;
	// advisorDto1导师-辅导员
	private List<PersonnelAdvisorDTO> advisorType2;
	// 270-问题分类的平均分
    List<PersonnelAssessmentDTO> PersonnelAssessmentDTOList;
    //270评价
	private String assessmentEvaluate;
	
	//锐途评测
	private List<PersonnelSharppathevaluationDTO> sharppathevaluationList;
	/**
	 * 笔试选拔
	 */
	private List<PersonnelSelectionscore> writtenType1;
	/**
	 * 笔试晋升
	 */
	private List<PersonnelSelectionscore> writtenType2;
	public int getPersonnelId() {
		return personnelId;
	}
	public void setPersonnelId(int personnelId) {
		this.personnelId = personnelId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public Date getEntryTime() {
		return entryTime;
	}
	public void setEntryTime(Date entryTime) {
		this.entryTime = entryTime;
	}
	public String getEducation() {
		return education;
	}
	public void setEducation(String education) {
		this.education = education;
	}
	public String getAge() {
		return age;
	}
	public void setAge(String age) {
		this.age = age;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public List<PersonnelTag> getTagsList() {
		return tagsList;
	}
	public void setTagsList(List<PersonnelTag> tagsList) {
		this.tagsList = tagsList;
	}

	public List<CampusevaluationDTO> getCampusevaluationDTOList() {
		return campusevaluationDTOList;
	}
	public void setCampusevaluationDTOList(List<CampusevaluationDTO> campusevaluationDTOList) {
		this.campusevaluationDTOList = campusevaluationDTOList;
	}
	public List<PersonnelAdvisorDTO> getAdvisorType1() {
		return advisorType1;
	}
	public void setAdvisorType1(List<PersonnelAdvisorDTO> advisorType1) {
		this.advisorType1 = advisorType1;
	}
	public List<PersonnelAdvisorDTO> getAdvisorType2() {
		return advisorType2;
	}
	public void setAdvisorType2(List<PersonnelAdvisorDTO> advisorType2) {
		this.advisorType2 = advisorType2;
	}
	public List<PersonnelAssessmentDTO> getPersonnelAssessmentDTOList() {
		return PersonnelAssessmentDTOList;
	}
	public void setPersonnelAssessmentDTOList(List<PersonnelAssessmentDTO> personnelAssessmentDTOList) {
		PersonnelAssessmentDTOList = personnelAssessmentDTOList;
	}
	public String getAssessmentEvaluate() {
		return assessmentEvaluate;
	}
	public void setAssessmentEvaluate(String assessmentEvaluate) {
		this.assessmentEvaluate = assessmentEvaluate;
	}
	public List<PersonnelSelectionscore> getWrittenType1() {
		return writtenType1;
	}
	public void setWrittenType1(List<PersonnelSelectionscore> writtenType1) {
		this.writtenType1 = writtenType1;
	}
	public List<PersonnelSelectionscore> getWrittenType2() {
		return writtenType2;
	}
	public void setWrittenType2(List<PersonnelSelectionscore> writtenType2) {
		this.writtenType2 = writtenType2;
	}
	public List<PersonnelSharppathevaluationDTO> getSharppathevaluationList() {
		return sharppathevaluationList;
	}
	public void setSharppathevaluationList(List<PersonnelSharppathevaluationDTO> sharppathevaluationList) {
		this.sharppathevaluationList = sharppathevaluationList;
	}

}
